<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMEquipRunInfoBase from './emequip-run-info-base.vue';

import view_form from '@widgets/emequip/main5-form/main5-form.vue';

/**
 * 设备档案编辑视图
 *
 * @export
 * @class EMEquipRunInfo
 * @extends {EMEquipRunInfoBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMEquipRunInfo extends EMEquipRunInfoBase { }
</script>